Subject: Re: bug#25766: aspell problem in LaTeX mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Feb 2017 09:19:44 +0200

> From: Bob Alice <[email-masked]>
> Date: Thu, 16 Feb 2017 20:52:17 +0000
> 
> The following is a minimal example of LaTeX code that breaks the spell checker:
> 
> \caption{5\% \label{_fred}}
> \autoref{alice} envolope
> 
> When I spell-check this it fails to notice that 'envolope' is mis-spelled. If I remove the underscore from _fred or
> remove the \% then the spell checker works fine.
> 
> Also, If I change the emacs default to use ispell instead of aspell then it works fine. Running the file through
> aspell on the command line also finds the spelling error. I can only conclude that there's a bug in the bit of
> emacs that runs LaTeX code through aspell. 

I don't have aspell installed; I tried hunspell, and it did detect the
"envolope" mis-spelling.

> Any ideas?

Turn on ispell.el debugging and see what Emacs submits to aspell.

> I'm using emacs version 24.4.1 and aspell version 3.1.20 (but really 0.60.7-20110707); The default packages
> are from the Debian Jessie repo.

I tried both the current RC of Emacs 25.2 and Emacs 24.4, they both
work with hunspell.